> ## Documentation Index
> Fetch the complete documentation index at: https://flutterwaveinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Bulk Tokenized Charge

> Initiate a card payment using multiple tokenized cards at once



## OpenAPI

````yaml post /bulk-tokenized-charges
openapi: 3.0.0
info:
  title: Flutterwave v3
  description: >-
    The Flutterwave for Business(F4B) APIs collection for all v3 endpoints with
    pre-formatted requests and response examples.
  contact: {}
  version: '1.0'
servers:
  - url: https://api.flutterwave.com/v3
    variables: {}
security:
  - bearer: []
tags:
  - name: Charges
    description: >-
      The charge APIs includes several payment collection methods to help you
      collect payments.
  - name: Tokenized Charges
    description: Tokenize your customers' cards with Flutterwave for faster payments
  - name: Preauthorization
    description: Manage preauth attemps on card transactions
  - name: Transactions
    description: Manage transactions, query statuses, logs and fees
  - name: Transfers
    description: Transfers to local and international customers
  - name: Beneficiaries
    description: Manage transfer beneficiaries
  - name: Virtual Cards
    description: Manage Flutterwave virtual cards
  - name: Virtual Account Numbers
    description: Manage virtual accounts
  - name: Collection Subaccounts
    description: Manage Collection Subaccounts
  - name: Payout Subaccounts
    description: Manage Payout Subaccounts
  - name: Subscriptions
    description: Manage user subscriptions
  - name: Payment Plans
    description: Manage Payment Plans
  - name: Bill Payments
    description: Manage Bill Payments
  - name: Banks
    description: Fetch Bank Information
  - name: Misc
    description: >-
      Verify user information like bank verification numbers, card bins, account
      information
  - name: Settlements
    description: Manage your settlements
  - name: Otps
    description: Create and manage one time passwords (OTPs) for your applications
  - name: Chargebacks
    description: Manage Chargebacks
paths:
  /bulk-tokenized-charges:
    post:
      tags:
        - Tokenized Charges
      summary: Create Bulk Tokenized Charge
      description: Initiate a card payment using multiple tokenized cards at once
      operationId: CreateBulkTokenizedCharge
      parameters: []
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/CreateBulkTokenizedChargeRequest'
                - example:
                    title: akhlm blk tknzd chrg pstmn tst 1
                    retry_strategy:
                      retry_interval: 120
                      retry_amount_variable: 60
                      retry_attempt_variable: 2
                    bulk_data:
                      - currency: NGN
                        token: flw-t1nf-f9b3bf384cd30d6fca42b6df9d27bd2f-m03k
                        country: NG
                        amount: 3500
                        email: user@example.com
                        first_name: Example
                        last_name: User
                        ip: pstmn
                        tx_ref: akhlm-pstmn-blkchrg-xy10
                      - currency: NGN
                        token: flw-t1nf-f9b3bf384cd30d6fca42b6df9d27bd2f-m03k
                        country: NG
                        amount: 3000
                        email: user@example.com
                        first_name: Jane
                        last_name: Doe
                        ip: pstmn
                        tx_ref: akhlm-pstmn-blkchrge-xx10
            example:
              title: akhlm blk tknzd chrg pstmn tst 1
              retry_strategy:
                retry_interval: 120
                retry_amount_variable: 60
                retry_attempt_variable: 2
              bulk_data:
                - currency: NGN
                  token: flw-t1nf-f9b3bf384cd30d6fca42b6df9d27bd2f-m03k
                  country: NG
                  amount: 3500
                  email: user@example.com
                  first_name: Example
                  last_name: User
                  ip: pstmn
                  tx_ref: akhlm-pstmn-blkchrg-xy10
                - currency: NGN
                  token: flw-t1nf-f9b3bf384cd30d6fca42b6df9d27bd2f-m03k
                  country: NG
                  amount: 3000
                  email: user@example.com
                  first_name: Jane
                  last_name: Doe
                  ip: pstmn
                  tx_ref: akhlm-pstmn-blkchrge-xx10
        required: true
      responses:
        '200':
          description: OK
          headers:
            X-Powered-By:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Express
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '232'
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"e8-2ZfIYuOX6YwI4VOfAdHg3A"
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Thu, 12 Mar 2020 16:04:40 GMT
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SampleSuccessResponse1'
                  - example:
                      status: success
                      message: Bulk charge initiated
                      data:
                        id: 156
                        created_at: '2020-03-12T16:04:40.000Z'
                        approver: N/A
                        title: akhlm blk tknzd chrg pstmn tst 1
                        total_charges: 2
                        pending_charges: 2
                        processed_charges: 0
              example:
                status: success
                message: Bulk charge initiated
                data:
                  id: 156
                  created_at: '2020-03-12T16:04:40.000Z'
                  approver: N/A
                  title: akhlm blk tknzd chrg pstmn tst 1
                  total_charges: 2
                  pending_charges: 2
                  processed_charges: 0
        '400':
          description: Bad Request
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Thu, 28 Mar 2024 08:25:37 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '142'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.24.0
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth, mid, altmodeauth, cc-admin-token, x-flw-lang
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"8e-ucKQ53jtFBpsyUnNJe0hxA"
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SampleErrorResponse1'
                  - example:
                      status: error
                      message: >-
                        retry_interval is required , retry_amount_variable is
                        required , retry_attempt_variable is required
                      data: null
              example:
                status: error
                message: >-
                  retry_interval is required , retry_amount_variable is required
                  , retry_attempt_variable is required
                data: null
      deprecated: false
components:
  schemas:
    CreateBulkTokenizedChargeRequest:
      title: CreateBulkTokenizedChargeRequest
      required:
        - title
        - retry_strategy
        - bulk_data
      type: object
      properties:
        title:
          type: string
        retry_strategy:
          $ref: '#/components/schemas/RetryStrategy'
        bulk_data:
          type: array
          items:
            $ref: '#/components/schemas/BulkDatum'
          description: ''
      example:
        title: akhlm blk tknzd chrg pstmn tst 1
        retry_strategy:
          retry_interval: 120
          retry_amount_variable: 60
          retry_attempt_variable: 2
        bulk_data:
          - currency: NGN
            token: flw-t1nf-f9b3bf384cd30d6fca42b6df9d27bd2f-m03k
            country: NG
            amount: 3500
            email: user@example.com
            first_name: Example
            last_name: User
            ip: pstmn
            tx_ref: akhlm-pstmn-blkchrg-xy10
          - currency: NGN
            token: flw-t1nf-f9b3bf384cd30d6fca42b6df9d27bd2f-m03k
            country: NG
            amount: 3000
            email: user@example.com
            first_name: Jane
            last_name: Doe
            ip: pstmn
            tx_ref: akhlm-pstmn-blkchrge-xx10
    SampleSuccessResponse1:
      title: SampleSuccessResponse1
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          $ref: '#/components/schemas/Data14'
      example:
        status: success
        message: Bulk charge initiated
        data:
          id: 156
          created_at: '2020-03-12T16:04:40.000Z'
          approver: N/A
          title: akhlm blk tknzd chrg pstmn tst 1
          total_charges: 2
          pending_charges: 2
          processed_charges: 0
    SampleErrorResponse1:
      title: SampleErrorResponse1
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          type: string
          nullable: true
      example:
        status: error
        message: >-
          retry_interval is required , retry_amount_variable is required ,
          retry_attempt_variable is required
        data: null
    RetryStrategy:
      title: RetryStrategy
      required:
        - retry_interval
        - retry_amount_variable
        - retry_attempt_variable
      type: object
      properties:
        retry_interval:
          type: integer
          format: int32
        retry_amount_variable:
          type: integer
          format: int32
        retry_attempt_variable:
          type: integer
          format: int32
      example:
        retry_interval: 120
        retry_amount_variable: 60
        retry_attempt_variable: 2
    BulkDatum:
      title: BulkDatum
      required:
        - currency
        - token
        - country
        - amount
        - email
        - first_name
        - last_name
        - ip
        - tx_ref
      type: object
      properties:
        currency:
          type: string
        token:
          type: string
        country:
          type: string
        amount:
          type: integer
          format: int32
        email:
          type: string
        first_name:
          type: string
        last_name:
          type: string
        ip:
          type: string
        tx_ref:
          type: string
      example:
        currency: NGN
        token: flw-t1nf-f9b3bf384cd30d6fca42b6df9d27bd2f-m03k
        country: NG
        amount: 3500
        email: user@example.com
        first_name: Example
        last_name: User
        ip: pstmn
        tx_ref: akhlm-pstmn-blkchrg-xy10
    Data14:
      title: Data14
      required:
        - id
        - created_at
        - approver
        - title
        - total_charges
        - pending_charges
        - processed_charges
      type: object
      properties:
        id:
          type: integer
          format: int32
        created_at:
          type: string
        approver:
          type: string
        title:
          type: string
        total_charges:
          type: integer
          format: int32
        pending_charges:
          type: integer
          format: int32
        processed_charges:
          type: integer
          format: int32
      example:
        id: 156
        created_at: '2020-03-12T16:04:40.000Z'
        approver: N/A
        title: akhlm blk tknzd chrg pstmn tst 1
        total_charges: 2
        pending_charges: 2
        processed_charges: 0
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````